// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from 'vue'
import App from './App'
import router from './router'
import { longClickDirective } from 'vue-long-click'
import VueI18n from 'vue-i18n'

Vue.config.productionTip = false
Vue.use(VueI18n)
Vue.directive('longclick', longClickDirective({delay: 750, interval: 0}))

/* eslint-disable no-new */
new Vue({
  el: '#app',
  router,
  template: '<App/>',
  components: { App }
})
